# include "myerr.h"

char *err_string( int code )
{
	switch ( code )
	{
	case ERR_BUF_MALLOC:
		return ( "Error allocation mem in malloc()" );
		break;
	case ERR_BUF_REALLOC:
		return ( "Error allocation mem in realloc()" );
		break;
	case ERR_ZERO_SIZE:
		return ( "Zero sized buffer" );
		break;
	case ERR_PRINTF_MALLOC_COPY:
		return ( "Could not do vasprintf in buf_printf_copy" );
		break;
	case ERR_PRINTF_MALLOC_CAT:
		return ( "Could not do vasprintf in buf_printf_cat" );
		break;
	default:
		return ( "Unknown error code" );
		break;
	}
}
